%define api        1.8
%define major      0
%define libname    %mklibname %{name}2_ %{api} %{major}
%define libnamedev %mklibname %{name} -d


Summary:        A GNU package for creating portable C++ programs
Name:           commoncpp
Version:        1.8.1
Release:        %mkrel 17
Group:          Development/C++
# Library is GPLv2+ with exceptions
License:        GPLv2+ with exceptions
URL:            http://www.gnutelephony.org
Source:         http://ftp.gnu.org/gnu/commoncpp/commoncpp2-%{version}.tar.gz
Patch0:         applog_pipe.patch
Patch1:         applog_pipe_fixing.patch
Patch2:         commoncpp2-gcc9.patch
Patch3:         commoncpp2_sizeof.patch
Patch4:		commoncpp2-autoconf.patch
Patch5:		commoncpp2-autoconf-vol2.patch
BuildRequires:  doxygen
BuildRequires:  glibc-static-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig(zlib)

%description
Common C++2 is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets. Common C++ also offers
individual frameworks generally useful to developing portable C++ applications
including a object persistance engine, math libraries, threading, sockets, etc.

Common C++2 is small, and highly portable. Common C++ will support most Unix
operating systems as well as Win32, in addition to GNU/Linux.

%package -n %libname
Summary:        A GNU package for creating portable C++ program
Group:          System/Libraries

Obsoletes:      %{_lib}commoncpp2_1.8 < 1.8.1-14

%description -n %libname
Common C++2 is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets. Common C++ also offers
individual frameworks generally useful to developing portable C++ applications
including a object persistance engine, math libraries, threading, sockets, etc.

Common C++2 is small, and highly portable. Common C++ will support most Unix
operating systems as well as Win32, in addition to GNU/Linux.

This package contains the shared library part of CommonC++.

%package -n %libnamedev
Summary:        A GNU package for creating portable C++ program
Group:          Development/C++
Requires:       %libname = %{version}-%{release}
Provides:       %{name}2-devel = %{version}-%{release}
Provides:       lib%{name}2-devel = %{version}-%{release}
Provides:       libcommoncpp-devel = %{version}-%{release}
Requires:       libxml2-devel

%description -n %libnamedev
Common C++ is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets. Common C++ also offers
individual frameworks generally useful to developing portable C++ applications
including a object persistance engine, math libraries, threading, sockets, etc.

Common C++ is small, and highly portable. Common C++ will support most Unix
operating systems as well as Win32, in addition to GNU/Linux.

This package contains the development files and documentation needed to build
programs with CommonC++.

%prep
%setup -q -n commoncpp2-%{version}
%patch0 -p0 -b .missing_include
%patch1 -p0 -b .pipe_flush
%patch2 -p1 -b .gcc9
%patch3 -p1 -b .sizeoff
%patch4 -p1 -b .autoconf
%patch5 -p1 -b .autoconf_vol2

# fix build with new automake 1.13
sed -i \
  -e 's,AM_CONFIG_HEADER(\(.*\)),AC_CONFIG_HEADERS([\1]),g' \
  -e 's,AM_PROG_LIBTOOL,LT_INIT,g' \
  configure.ac

%build
autoreconf -vfi
%configure --disable-static
%__make LIBTOOL=%_bindir/libtool

%install
%make_install LIBTOOL=%_bindir/libtool

%multiarch_binaries %buildroot%_bindir/ccgnu2-config

# we don't want these
find %{buildroot} -name '*.a' -delete
find %{buildroot} -name '*.la' -delete

%files -n %libname
%_libdir/lib*-%{api}.so.%{major}{,.*}

%files -n %libnamedev
%doc AUTHORS NEWS README TODO THANKS ChangeLog doc/html
%license COPYING COPYING.addendum
%_bindir/*/ccgnu2-config
%_bindir/ccgnu2-config
%_datadir/aclocal/*
%_infodir/*
%_libdir/*.so
%_includedir/cc++/
%_libdir/pkgconfig/*.pc


%changelog
* Sat Oct 31 2020 wally <wally> 1.8.1-17.mga8
+ Revision: 1640874
- fix build with autoconf > 2.69

* Thu Aug 20 2020 ovitters <ovitters> 1.8.1-15.mga8
+ Revision: 1616889
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Mon Feb 24 2020 daviddavid <daviddavid> 1.8.1-14.mga8
+ Revision: 1549791
- add fedora patches to fix build with gcc9
- remove unwanted .la files
- fix library pkg name
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.8.1-13.mga7
+ Revision: 1296718
- Mageia 7 Mass Rebuild

* Sun Dec 20 2015 tv <tv> 1.8.1-12.mga6
+ Revision: 912655
- fix file list

* Mon Aug 24 2015 cjw <cjw> 1.8.1-11.mga6
+ Revision: 868922
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-10.mga5
+ Revision: 749431
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.8.1-9.mga5
+ Revision: 693664
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-8.mga5
+ Revision: 678505
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.8.1-7.mga4
+ Revision: 503458
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.8.1-6.mga3
+ Revision: 348093
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 anaselli <anaselli> 1.8.1-5.mga3
+ Revision: 343182
- forgotten patch
- Added patch from svn to fix pipe behavior

* Mon Dec 31 2012 wally <wally> 1.8.1-4.mga3
+ Revision: 336565
- fix build with new automake 1.13

* Wed Dec 12 2012 pterjan <pterjan> 1.8.1-3.mga3
+ Revision: 329872
- Bye bye static library
+ blino <blino>
- rebuild to get info pages as xz instead of lzma

* Sun Jan 16 2011 anaselli <anaselli> 1.8.1-1.mga1
+ Revision: 20060
- removed useless macros
- imported package commoncpp


* Sat Jan 08 2011 Angelo Naselli <anaselli@mandriva.org> 1.8.1-1.mga1
- imported version 1.8.1

* Sat Nov 06 2010 Angelo Naselli <anaselli@mandriva.org> 1.8.1-1mdv2011.0
+ Revision: 594365
- New version 1.8.1

* Thu Jul 22 2010 Angelo Naselli <anaselli@mandriva.org> 1.8.0-5mdv2011.0
+ Revision: 556923
- upstream patch to fix applog thread safety

* Fri Mar 12 2010 Angelo Naselli <anaselli@mandriva.org> 1.8.0-4mdv2010.1
+ Revision: 518305
- Avoid crash for assert call using Engine and TCPStream

* Wed Feb 24 2010 Angelo Naselli <anaselli@mandriva.org> 1.8.0-2mdv2010.1
+ Revision: 510711
- removed wron Obsoletes directive

* Wed Feb 24 2010 Angelo Naselli <anaselli@mandriva.org> 1.8.0-1mdv2010.1
+ Revision: 510645
- new version

* Mon Aug 10 2009 Funda Wang <fwang@mandriva.org> 1.7.3-2mdv2010.0
+ Revision: 414175
- fix build with gcc 4.4

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Thu Mar 12 2009 Angelo Naselli <anaselli@mandriva.org> 1.7.3-1mdv2009.1
+ Revision: 354200
- New version 1.7.3

* Wed Mar 04 2009 Angelo Naselli <anaselli@mandriva.org> 1.7.2-1mdv2009.1
+ Revision: 348420
- new version 1.7.2

* Thu Feb 05 2009 Funda Wang <fwang@mandriva.org> 1.7.1-1mdv2009.1
+ Revision: 337802
- New version 1.7.1

* Wed Jan 21 2009 Angelo Naselli <anaselli@mandriva.org> 1.7.0-1mdv2009.1
+ Revision: 332196
- Official 1.7.0 version

* Fri Sep 12 2008 Angelo Naselli <anaselli@mandriva.org> 1.7.0-0.839.1mdv2009.0
+ Revision: 284221
- new pre-release version 1.7.0 (svn 839)

* Fri Jun 13 2008 Angelo Naselli <anaselli@mandriva.org> 1.6.2-2mdv2009.0
+ Revision: 218785
- rebuilt

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 22 2008 Angelo Naselli <anaselli@mandriva.org> 1.6.2-1mdv2009.0
+ Revision: 196538
- new version 1.6.2
- added a patch to fix String copy costructor (memory over allocation)

* Wed Feb 06 2008 Angelo Naselli <anaselli@mandriva.org> 1.6.1-1mdv2008.1
+ Revision: 163023
- new version 1.6.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 05 2007 Angelo Naselli <anaselli@mandriva.org> 1.6.0-2mdv2008.1
+ Revision: 115531
- URL updated

* Mon Dec 03 2007 Angelo Naselli <anaselli@mandriva.org> 1.6.0-1mdv2008.1
+ Revision: 114497
- New version 1.6.0 (ABI changed)

* Fri Oct 26 2007 Angelo Naselli <anaselli@mandriva.org> 1.5.9-2mdv2008.1
+ Revision: 102361
- New version 1.5.9

* Thu Jul 12 2007 Angelo Naselli <anaselli@mandriva.org> 1.5.7-1mdv2008.0
+ Revision: 51682
- new release 1.5.7
  followed new library policy

* Wed May 16 2007 Angelo Naselli <anaselli@mandriva.org> 1.5.6-1mdv2008.0
+ Revision: 27344
- New version 1.5.6


* Fri Feb 23 2007 Angelo Naselli <anaselli@mandriva.org> 1.5.5-1mdv2007.0
+ Revision: 125040

* Thu Jan 25 2007 Lenny Cartier <lenny@mandriva.com> 1.5.4-1mdv2007.1
+ Revision: 113287
- Update to 1.5.4

* Wed Nov 22 2006 Lenny Cartier <lenny@mandriva.com> 1.5.3-1mdv2007.1
+ Revision: 86125
- Update to 1.5.3
- Import CommonC++

